# sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, nil, nil > Struct Template Reference
[bind(), bind_return()]

Adaptor that binds 5 argument(s) to the wrapped functor. More...

Inherits sigc::adapts< T_functor >.

Collaboration diagram for sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, nil, nil >:
[legend]

List of all members.

## Public Types

typedef adapts< T_functor > ::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type

## Public Member Functions

result_type | operator() ()
| Invokes the wrapped functor passing on the bound argument only.
template<class T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_arg1)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1 , class T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2)
| Invokes the wrapped functor passing on the arguments.
| bind_functor (typename type_trait< T_functor >::take _A_func, typename type_trait< T_type1 >::take _A_bound1, typename type_trait< T_type2 >::take _A_bound2, typename type_trait< T_type3 >::take _A_bound3, typename type_trait< T_type4 >::take _A_bound4, typename type_trait< T_type5 >::take _A_bound5)
| Constructs a bind_functor object that binds an argument to the passed functor.

## Public Attributes

bound_argument< T_type1 > | bound1_
| The argument bound to the functor.
bound_argument< T_type2 > | bound2_
bound_argument< T_type3 > | bound3_
bound_argument< T_type4 > | bound4_
bound_argument< T_type5 > | bound5_

## Detailed Description

### template <class T_functor, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5>
struct sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, nil, nil >

Adaptor that binds 5 argument(s) to the wrapped functor.

This template specialization fixes the last 5 argument(s) of the wrapped functor.

## Constructor & Destructor Documentation

template <class T_functor , class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 >

sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, nil, nil >::bind_functor | ( | typename type_trait< T_functor >::take | _A_func,
|  | typename type_trait< T_type1 >::take | _A_bound1,
|  | typename type_trait< T_type2 >::take | _A_bound2,
|  | typename type_trait< T_type3 >::take | _A_bound3,
|  | typename type_trait< T_type4 >::take | _A_bound4,
|  | typename type_trait< T_type5 >::take | _A_bound5 |
| ) |  |  | `[inline]`

Constructs a bind_functor object that binds an argument to the passed functor.

Parameters:

  | _A_functor | Functor to invoke from operator()().
  | _A_bound | Argument to bind to the functor.

## Member Function Documentation

template <class T_functor , class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 >
template <class T_arg1 , class T_arg2 >

deduce_result_type<T_arg1, T_arg2>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 5 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 >
template <class T_arg1 >

deduce_result_type<T_arg1>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, nil, nil >::operator() | ( | T_arg1 | _A_arg1 | ) | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 5 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 >

result_type sigc::bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, nil, nil >::operator() | ( |  | ) | `[inline]`

Invokes the wrapped functor passing on the bound argument only.

Returns:
  The return value of the functor invocation.

The documentation for this struct was generated from the following file:

- sigc++/adaptors/bind.h